@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap");
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

:root{
  --primary-color: #f6f7fb;
  --white-color: #fff;
  --black-color: #18191a;
  --red-color: #e74c3c
}

body{
  display: flex;
  min-height: 100vh;
  align-items: center;
  justify-content: center;
  background: var(--primary-color);
}

body.dark{
   --primary-color: #242526;
  --white-color: #18191a;
  --black-color: #fff;
  --red-color: #e74c3c;
/*   cursor: pointer; */
}


.container{
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 60px;
}

.container .clock{
  display: flex;
  height: 400px;
  width: 400px;
  background: var(--white-color);
  box-shadow: 0 15px 25px rgba(0, 0, 0, 0.1),  0 25px 45px rgba(0, 0, 0, 0.1);
  border-radius: 50%;
  align-items: center;
  justify-content: center;
  position: relative;
}

.clock label{
  position: absolute;
  transform: rotate(calc(var(--i) * (360deg / 12)));
  inset: 20px;
/*   background-color: red; */
  text-align: center;
  
  
}

.clock label span{
  font-size: 30px;
  font-weight: 600;
  color: var(--black-color);
  transform: rotate(calc(var(--i) * (-360deg / 12)));
  display: inline-block;
}

.container .indicator {
  position: absolute;
  height: 10px;
  width: 10px;
  display: flex;
  justify-content: center
/*   background-color: red; */
  
}

.indicator::before{
  content: "" ;
  position: absolute;
  height: 100%;
  width: 100%;
  border: 4px solid var(--red-color);
  background: var(--black-color);
  border-radius: 50%;
  z-index: 100;
  
}

.indicator .hand {
  position: absolute;
  height: 130px;
  width: 4px;
  bottom: 0;
  transform-origin: bottom;
  border-radius: 25px;
  background: var(--red-color);
}

.hand.minute{
  height: 120px;
  width: 5px; 
  background: var(--black-color);
/*   transform: rotate(45deg); */
}

.hand.hour{
  height: 100px;
  width: 8px; 
  background: var(--black-color);
/*   transform: rotate(55deg); */
}

.mode-switch{
  display:inline-block;
  color: var(--white-color);
  background-color: var(--black-color);
  padding: 10px 20px;
  font-weight: 400;
  font-size: 22px;
  border-radius: 8px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  
}
